from __future__ import unicode_literals

from django.apps import AppConfig
from django.contrib.auth import get_user_model
from django.contrib.auth.signals import user_logged_in

from .members_service import MembersService  # noqa


class UMWSMembersServiceConfig(AppConfig):
    name = 'contrib.umws.members'

    def ready(self):
        user_logged_in.connect(MembersService.set_user_photo,
                               sender=get_user_model())
