from __future__ import absolute_import, unicode_literals

from django.conf import settings  # noqa

from celery import Celery


app = Celery(settings.PROJ_NAME, loader="evote.loaders:EvoteLoader")

app.config_from_object('django.conf:settings', namespace='CELERY')
app.autodiscover_tasks()
