from __future__ import unicode_literals

from django.core.urlresolvers import reverse_lazy

from evote.settings.docker import *  # NOQA


# Django settings

SITE_ID = 2
ROOT_URLCONF = 'evote.urls.management'

MIDDLEWARE += (  # NOQA
    "evotevotings.management.middleware.ManagementMiddleware",
)


# Auth settings

LOGIN_URL = reverse_lazy("management:login")
LOGOUT_URL = reverse_lazy("management:logout")
LOGIN_REDIRECT_URL = reverse_lazy("management:electoralprocess-list")


# javascript_settings

JAVASCRIPT_SETTINGS_SCAN_MODULES = {}


# Evote messages settings

EVOTEMESSAGES_TEMPLATE_BASE_DIR = 'management/'
EVOTEMESSAGES_BASE_APP_NAME = 'management'


# Evote logs settings

def show_in_history(user):
    return bool(user and hasattr(user, 'is_electoral_member') and
                user.is_electoral_member)


EVOTELOG_SHOWINHISTORY_CALLBACK = show_in_history
