from __future__ import unicode_literals

from .registers import audit_register
from django.db import models


def auditable(model_class):
    if not issubclass(model_class, models.Model):
        raise ValueError('Object provided is not a model')
    audit_register.add(model_class)
    return model_class
