from tempfile import NamedTemporaryFile


def compare_emails(email_one, email_two):
    """
    Check if both Emails Messages are equal
    """
    dict_one = email_one.__dict__
    dict_two = email_two.__dict__
    for elem in dict_one:
        if elem == "connection":
            pass
        elif dict_one[elem] != dict_two[elem]:
            return False
    return True


def create_attachment():
    """
    Create temporary file to be used on test
    """
    f = NamedTemporaryFile()
    f.write('unit test')
    f.seek(0)
    attachment = open(f.name, 'rb')
    return [('test.txt', attachment.read(), 'text/plain')]
