from __future__ import unicode_literals

from .registers import SearchableRegister, search_register


def searchable(title, content, extra=None):

    def wrapped(klass):
        register = SearchableRegister(klass, title, content, extra)
        search_register.append(register)
        return klass

    return wrapped
