from evotevotings.elections.models import (Election, Category, Candidate)
from evotevotings.admin.models import SecretEntry
from evotevotings.voters.models import ElectionVoter
from autofixture import create_one, create


class ElectionsTestUtils(object):

    def create_election(self, **field_values):
        return create_one(Election, generate_fk=True,
                          field_values=field_values)

    def create_elections(self, num, **field_values):
        return create(Election, num, generate_fk=True,
                      field_values=field_values)

    def create_category(self, **field_values):
        return create_one(Category, generate_fk=True,
                          field_values=field_values)

    def create_voter(self, **field_values):
        return create_one(ElectionVoter, generate_fk=True,
                          field_values=field_values)

    def create_candidate(self, **field_values):
        return create_one(Candidate, generate_fk=True,
                          field_values=field_values)

    def create_candidates(self, num, **field_values):
        return create(Candidate, num, generate_fk=True,
                      field_values=field_values)

    def create_certificate(self, **field_values):
        return create_one(SecretEntry, generate_fk=True,
                          field_values=field_values)
