from contrib.adfsauth.backends import WSFedBackend


class WSFedManagementBackend(WSFedBackend):
    """ """

    def user_can_authenticate(self, user):
        """
        Reject users if is not staff members.
        """
        if not user.electoral_members.exists() and \
                not user.is_institutional_responsible:
            return False
        return super(WSFedManagementBackend, self).user_can_authenticate(user)
