from __future__ import unicode_literals

from django.conf.urls import url
from evotevotings.services.views import schema_view
from evotevotings.services.validator.views_api import ValidateVoteView
from evotevotings.services.filter.views_api import FilterSignatureView


app_name = 'genericservice'


urlpatterns = [
    url(
        regex=r'^$',
        view=schema_view,
        name='swagger'
    ),
    url(
        regex=r'validatevote',
        view=ValidateVoteView.as_view(),
        name='validatevote'
    ),
    url(
        regex=r'filter',
        view=FilterSignatureView.as_view(),
        name='filtersignature'
    ),
]
