from __future__ import unicode_literals

import json

from django.test import TestCase
from django.core.urlresolvers import reverse


class ContactsFormTest(TestCase):
    """ """
    def setUp(self):
        self.url = reverse("voters:contacts")

    def test_form(self):
        data = {
            'contacts-name': 'Unit test robot',
            'contacts-email': 'unit@unit.com',
            'contacts-subject': 'Unit subject',
            'contacts-message': 'Unit robot message',
            'g-recaptcha-response': 'PASSED',
            'recaptcha_response_field': 'PASSED'
        }
        response = self.client.post(self.url, data=data)
        content = json.loads(response.content)
        self.assertEqual(response.status_code, 200)
        self.assertNotIn('errors_list', content)
