from datetime import timedelta
from eVotUM.Cripto.shamirsecret import generateSecretTime

from django.utils import timezone
from django.conf import settings

from evotevotings.services.routers import ASrouter


def get_references(election_id, page=1, search=None):
    """ Method to search vote references through the Anonymizer Service """
    # Connect to the Anonymizer Service
    return ASrouter().list_references(election_id, page, search)


def pin_expiration_date():
    return timezone.now() + timedelta(seconds=settings.PIN_TIMETOLIVE)


def generate_pin():
    (secret, _) = generateSecretTime(settings.PIN_SIZE,
                                     settings.PIN_TIMETOLIVE)
    return secret
