/* globals jQuery, noty */

/******************************************************************
 * Site Name: eVote
 * Author: SFR
 *
 * Integrate Noty with django messages.
 * Noty check for a .noty-messages ul element and create notification
 * to every li present and associate is class to notification type.
 * TODO: support alert and information type
 *
 * http://ned.im/noty/
 *****************************************************************/

"use strict";

(function($) {

    $.fn.djangoMessagesNoty = function()
    {
        return this.each(function()
        {
            $(this).find('li').each(function() {
                var notification = $(this);
                var type = notification.attr('class');

                noty({
                    text: notification.html(),
                    type: type
                });
            });
        });
    };

})(jQuery);
