"""adfsauth URL configuration."""

from django.conf.urls import url

from .views import WSFedSigninView, WSFedSignoutView


app_name = "adfsauth"

urlpatterns = [
    url(
        regex=r'^wsignin/$',
        view=WSFedSigninView.as_view(),
        name="ws-fed-signin"
    ),
    url(
        regex=r'^wsignout/$',
        view=WSFedSignoutView.as_view(),
        name="ws-fed-signout"
    )
]
