from __future__ import unicode_literals

from django.conf import settings


def get_attributes(request):
    saml_configs = getattr(settings, 'SAML')
    session_key = saml_configs.get('session_dict', None)
    registered_data = request.session.get(session_key, {})
    if 'attributes' in registered_data:
        return registered_data['attributes']
    return None
