from __future__ import unicode_literals

import sys

from django.core.management.base import BaseCommand
from contrib.umws.members.members_service import members_service


class Command(BaseCommand):
    help = 'Check if UM Member WebService is respondiing properly'

    def handle(self, child=None, *args, **options):
        exit_code = 1
        try:
            if members_service.ping():
                exit_code = 0
        except:
            pass
        sys.exit(exit_code)
