from __future__ import unicode_literals

from django.core.urlresolvers import reverse_lazy

from evote.settings.docker import *  # NOQA


# Django settings

SITE_ID = 3
ROOT_URLCONF = 'evote.urls.admin'


# Auth settings

LOGIN_REDIRECT_URL = reverse_lazy("evoteadmin:page-list")
LOGIN_URL = reverse_lazy("evoteadmin:login")
LOGOUT_URL = reverse_lazy("evoteadmin:logout")


# javascript_settings

JAVASCRIPT_SETTINGS_SCAN_MODULES = {
    'evoteadmin': 'evotevotings.admin.jssettings'
}
