import json

from django.test import SimpleTestCase, RequestFactory

from evotecore.ajax import PingView


class TestPingView(SimpleTestCase):
    """ """

    def test_server_alive(self):
        request = RequestFactory().get('/ping/')
        response = PingView.as_view()(request)
        self.assertEqual(response.status_code, 200)
        self.assertEqual(json.loads(response.content), "OK")
