from __future__ import unicode_literals

from django.test import SimpleTestCase

from evotecore.widgets import (Select, SearchableSelect, DateInput,
                               DateTimeInput)


class WidgetsCase(SimpleTestCase):
    """ """

    def test_select_widget(self):
        widget = Select()
        self.assertIn('data-style-select', widget.attrs)

    def test_searchableselect_widget(self):
        widget = SearchableSelect()
        self.assertIn('data-style-select-search', widget.attrs)

    def test_dateinput_widget(self):
        widget = DateInput()
        self.assertIn('data-datepicker', widget.attrs)

    def test_datetimeinput_widget(self):
        widget = DateTimeInput()
        self.assertIn('data-datetimepicker', widget.attrs)
