from autofixture import create_one

from evoteusers.models import User


class UserTestUtils(object):

    def create_user(self, **field_values):
        password = field_values.pop('password', None)
        user = create_one(User, field_values=field_values)
        if password:
            user.set_password(password)
            user.save()
        return user

    def login(self):
        credentials = {
            "email": "dev@eurotux.com",
            "password": "password"
        }
        self.user = self.create_user(**credentials)
        self.client.login(**credentials)
        return credentials
