from contrib.adfsauth.backends import WSFedBackend


class WSFedAdminBackend(WSFedBackend):
    """ """

    def user_can_authenticate(self, user):
        """
        Reject users if is not staff members.
        """
        if not user.is_staff:
            return False
        return super(WSFedAdminBackend, self).user_can_authenticate(user)
