import django_filters

from .models import Page


class PageListFilter(django_filters.FilterSet):

    # This definition is strictly necessary so that
    # multi-language context search works as expected.
    title = django_filters.CharFilter(lookup_expr='icontains')

    class Meta:
        model = Page
        fields = {
            'title': ['exact', 'icontains']
        }
