tinymce.init({
    selector: 'textarea[data-tinymce]',
    theme: 'modern',
    width: 590,
    height: 300,
    menubar: false,
    plugins: [
        'autolink link image lists charmap print preview hr anchor spellchecker',
        'searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking',
        'save table contextmenu directionality emoticons template paste textcolor'
    ],
    // content_css: 'css/content.css',
    toolbar: 'undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link',
    content_css: [
        '//fonts.googleapis.com/css?family=Lato:300,300i,400,400i',
        '//' + configuration['evoteadmin']['tinymce_css_path']
    ]
});
