# -*- coding: utf-8 -*-
from tempfile import NamedTemporaryFile

from evotemailings.mailings import BaseMailing


class MembersKeysNotificationMail(BaseMailing):
    """ """
    template_name = 'management/mails/members_keys_notification.html'

    subject = "eVotUM - Membro da Comissão Eleitoral " +\
              "| Member of the electoral commission"

    def get_attachments(self):
        key = self.get_context_data()['key']
        f = NamedTemporaryFile()
        f.write(key)
        f.seek(0)
        attachment = open(f.name, 'rb')
        return [('key.jwt', attachment.read(), 'text/plain')]
